%define name	gq
%define version 1.2.2
%define release %mkrel 1
%define	Summary	GQ is a GTK-based LDAP client

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{Summary}
License:	GPL
Source0:	http://prdownloads.sourceforge.net/gqclient/%{name}-%{version}.tar.bz2
Source11:	gq16.png
Source12:	gq32.png
Source13:	gq48.png
Patch:		gq-1.0.1-saslfix.patch.bz2
URL:		http://biot.com/gq/
Group:		Databases
BuildRequires:	gettext-devel
BuildRequires:	krb5-devel
BuildRequires:	libsasl-devel
BuildRequires:	openldap-devel
BuildRequires:  libxml2-devel
BuildRequires:	glib-devel
BuildRequires:	gtk+2-devel
BuildRequires:	intltool
BuildRequires:	gnome-keyring-devel
BuildRequires:	libglade2.0-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
GQ is GTK+ LDAP client and browser utility. It can be used
for searching LDAP directory as well as browsing it using a
tree view.

%prep 
%setup -q
%patch -p1 -b .saslfix

%build 
export CFLAGS="%{optflags} -DLDAP_DEPRECATED"
%configure2_5x \
    --with-kerberos-prefix=%{_prefix} \
    --enable-browser-dnd \
    --disable-update-mimedb
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# Menu entry & icons
mkdir -p %{buildroot}%{_menudir}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=GQ
Comment=%{Summary}
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=GTK;Database;X-MandrivaLinux-MoreApplications-Databases;
Encoding=UTF-8
EOF

#(peroyvind): replace menu with our own as it's more complete and valid ;)
rm -f %{buildroot}%{_datadir}/applications/gq.desktop

install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

# Macro for locales
%find_lang %{name}

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr (-,root,root)
%doc AUTHORS ChangeLog NEWS README* TODO 
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/pixmaps/gq
%{_datadir}/mime/packages/gq-ldif.xml
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/mandriva-%{name}.desktop


%changelog
* Wed Dec 20 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.2-1mdv2007.0
+ Revision: 100600
- fix build dependencies
- fix build dependencies
- new version
  drop unused additional langpack
  drop old debian menu
  fix build

  + Stefan van der Eijk <stefan@mandriva.org>
    - Import gq



* Sun Sep 03 2006 Jerome Soyer <saispo@mandriva.org> 1.0.1-1mdv2007.0
- New release 1.0.1
- Rediff patch0

* Fri Aug 25 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0.0-4mdv2007.0
- fix category in xdg menu

* Fri Aug 25 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0.0-3mdv2007.0
- fix summary macro that's used in menu item
- don't archive/bzip2 icons
- (valid) xdg menu
- cleanups

* Thu May 25 2006 Andreas Hasenack <andreas@mandriva.com> 1.0.0-2mdk
- fix for sasl support (had to add back a hunk from the original sasl
  patch that got lost in the upstream merge)

* Fri May 05 2006 Stefan van der Eijk <stefan@eijk.nu> 1.0.0-1mdk
- 1.0.0
- drop about patch (merged upstream)
- drop usebasedn patch (merged upstream)

* Wed Apr 26 2006 Andreas Hasenack <andreas@mandriva.com> 1.0-0.rc1.3mdk
- updated use base dn patch to only add the provided suffix if it's already
  not in the list of the automatically discovered suffixes (#22149)

* Mon Apr 17 2006 Andreas Hasenack <andreas@mandriva.com> 1.0-0.rc1.2mdk
- removed buildrequires for gdk-pixbuf-devel
- added some missing buildrequires (gtk+2-devel and glib-devel)
- added patch to fix about dialog text
- added patch so that the supplied base dn is not ignored

* Wed Apr 09 2006 Stefan van der Eijk <stefan@eijk.nu> 1.0-0.rc1.1mdk
- 1.0rc1
- drop patch0 & patch2 (merged upstream)

* Sun Apr 09 2006 Stefan van der Eijk <stefan@eijk.nu> 1.0-0.beta2.1mdk
- 1.0beta2
- replace patch0 with one from sf.net
- remove patch1 gcc4 (merged upstream)

* Wed Nov 23 2005 Andreas Hasenack <andreas@mandriva.com> 1.0-0.beta1.8mdk
- rebuilt with openssl 0.9.8a

* Mon Oct 10 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.0-0.beta1.7mdk
- Fix BuildRequires

* Sun Oct 09 2005 Andreas Hasenack <andreas@mandriva.com> 1.0-0.beta1.6mdk
- fixed sasl patch to properly use either the entered password or the stored
  one (and not only the stored one). Thanks to Tony Earnshaw for testing and
  notifying me.

* Tue Sep 13 2005 Andreas Hasenack <andreas@mandriva.com> 1.0-0.beta1.5mdk
- added patch to fix basic sasl auth support
- added LDAP_DEPRECATED define to avoid declaration warnings
- enabled drag-and-drop feature

* Fri Sep 09 2005 Andreas Hasenack <andreas@mandriva.com> 1.0-0.beta1.4mdk
- added gcc4 patch from sourceforge bug tracker (id #1184399)
- rebuilt with openldap-2.3.x

* Tue Mar 29 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.0-0.beta1.3mdk
- fix segfault on expanding tree (#15065), thx ahasenack for the patch

* Sun Feb 06 2005 Stefan van der Eijk <stefan@eijk.nu> 1.0-0.beta1.2mdk
- Rebuild new ldap

* Tue Jan 20 2004 Buchan Milne <bgmilne@linux-mandrake.com> 1.0-0.beta1.1mdk
- 1.0beta1

* Fri Oct 31 2003 Frederic Lepied <flepied@mandrakesoft.com> 1.0-0.alpha3.1mdk
- 1.0alpha3

* Fri Jul 25 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.7.0-0.beta2.6mdk
- rebuild against new kerberos
- drop Prefix tag

* Sat Apr 26 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.7.0-0.beta2.5mdk
- add missing dirs into files section (mr. distlint)

* Wed Feb 19 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.7.0-0.beta2.4mdk
- funny expanded macro find_lang removed..

* Wed Feb 19 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.7.0-0.beta2.3mdk
- fix version numbering and change Group
- change source url, update description
- add icons and menu entry

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.7.0beta2-2mdk
- rebuild

* Wed Oct 23 2002 Stefan van der Eijk <stefan@eijk.nu> 0.7.0beta2-1mdk
- 0.7.0beta2
- BuildRequires: gettext-devel gdk-pixbuf-devel krb5-devel libsasl-devel

* Tue Oct 08 2002 Stefan van der Eijk <stefan@eijk.nu> 0.6.0-1mdk
- 0.6.0

* Sun May  5 2002 Stefan van der Eijk <stefan@eijk.nu> 0.5.0-1mdk
- initial package
